
body {
    font-family: verdana;
    background: #aaa;
}

* {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.game {
    width: 291px;
    margin: 0 auto;
}

.ui {
    width: 275px;
    margin: 0 auto;
    padding: 5px 1px;
    position: relative;
    font-weight: bold;
    font-family: 'Droid Sans', arial, serif;
    text-shadow: #333 0px 2px 3px;
    height: 50px;
}

.ui .score {
    color: white;
    font-size: 400%;
    position: absolute;
    color: #858585;
    z-index: 2;
    letter-spacing: 1px;
}

.ui .effect {
    position: absolute;
    background: transparent;
    -moz-transition-property: top, opacity, color;
    -moz-transition-duration: 0.2s, 0.1s;
    -o-transition-property: top, opacity, color;
    -o-transition-duration: 0.2s, 0.1s;
    -webkit-transition-property: top, opacity, color;
    -webkit-transition-duration: 0.2s, 0.1s;
    transition-property: top, opacity, color;
    transition-duration: 0.2s, 0.1s;   

    font-size: 190%;

    float: right;
    top: 40px;
    right: 50%;
    opacity: 0;
    text-align: right;
    border-radius: 20px;
    z-index: 3;
    color: #858585;
}

.ui .effect.active {
    top: 25px;
    opacity: 1;
    color: #eee;
}

.timer {
    position: absolute;
    width: 138px;

    left: 50%;
    top: 20px;

    font-size: 150%;
    box-shadow: 0px 1px 3px #555;
    border-radius: 20px;
    border: 3px solid;
    background: #858585 !important;

    z-index: 1;
}

.timer>div {
    position: absolute;

    -moz-transition: 	all 0.4s ease;
    -o-transition: 		all 0.4s ease;
    -webkit-transition: all 0.4s ease;
    transition: 		all 0.4s ease;
}

.timer .timerBar {
    position: relative;
    height: 100%;
    width: 118px;
    border-radius: 17px;
    padding: 0 10px;
    float: right;
}

.timer .clock {
    top: 0;
    right: 5px;
    background: transparent;
}

.bgFlash {
    background: #fff !important;
}

.fgFlash {
    color: #fff;
}

.menu,
.instructions {
    display: none;

    width: 250px;
    position: absolute;
    left: 50%;
    margin-left: -135px;
    text-align: center;
    padding: 10px;
    top: 0;
    z-index: 2;
}

.menu .message {
    font-weight: bold;
    font-size: 160%;
    opacity: 0.8;
    position: relative;
    top: 75px;
}

.menu .btn {
    font-family: 'Droid Sans', arial, serif;
    color: #55EB5B;
    font-size: 170%;
    background: rgba(0, 0, 0, 0.5);
    border-radius: 20px;
    cursor: pointer;
    line-height: 191%;
    position: relative;
    top: 95px;
    margin: 10px 0;
}

.menu a.link {
    position: relative;
    top: 145px;
    color: #ccc;
    text-decoration: none;
    font-size: 80%;

    -moz-transition: 	color 0.4s ease;
    -o-transition: 		color 0.4s ease;
    -webkit-transition: color 0.4s ease;
    transition: 		color 0.4s ease;
}

.menu a.link:hover {
    border-bottom: #eee 1px solid;
    color: #eee;
}




.field {
    position: relative;
    border: #777 8px solid;
    background: #777;
    margin: 0 auto;
    overflow: hidden;
    border-radius: 5px;
    box-shadow: 0px 2px 4px #333;
    border-style: dashed;

    -moz-transition: 	all 0.3s ease;
    -o-transition: 		all 0.3s ease;
    -webkit-transition: all 0.3s ease;
    transition: 		all 0.3s ease;
}

.blocked .field {
    border-color: #666;
}

.stone {
    border: 3px solid;
    width: 49px;
    height: 49px;
    z-index: 1;
    border-radius: 5px;

    -moz-transition: 	all 0.2s ease-in;
    -o-transition: 		all 0.2s ease-in;
    -webkit-transition: all 0.2s ease-in;
    transition: 		all 0.2s ease-in;
}

.unblocked .selected {
    border-color: white !important;
    z-index: 2;
}

.unblocked .stone:hover
{
    border-color: #c5c5c5;
    z-index: 2;
}

.type_1 {
    color: #44BD47;
    background: #55EB5B;
    border-color: #65CF65 #44BD47 #30A230 #50C555;
}

.type_2 {
    color: #489BC7;
    background: #59BEF5;
    border-color: #60ADD7 #489BC7 #388BB7 #559FE9;
}

.type_3 {
    color: #AB9645;
    background: #D9BE58;
    border-color: #C0AB60 #AB9645 #9B8635 #B5A555;
}

.type_4 {
    color: #C76148;
    background: #F57859;
    border-color: #D77158 #C76148 #B75138 #CC674F;
}

.type_5 {
    color: #8848B0;
    background: #AD5CDF;
    border-color: #9858C0 #8848B0 #7838C0 #8F4FB9;
}


.instructions {
    padding-top: 100px;
}

.instructions .image1 .stone {
    float: left;
    width: 40px;
    height: 40px;
}

.instructions .image2 .timer {
    position: relative;
    top: 0;
    left: 50px;
    height: 28px;

    font-family: 'Droid Sans', arial, serif;
    text-shadow: #333 0px 2px 3px;

    margin-bottom: -10px;
}

.instructions .btn {
    font-family: 'Droid Sans', arial, serif;
    color: #55EB5B;
    font-size: 100%;
    background: rgba(0, 0, 0, 0.5);
    border-radius: 20px;
    cursor: pointer;
    line-height: 191%;
    width: 60%;
    margin: 0 auto;
}

/* Deactivate border-radius on small mobile devices */
@media all and (max-device-width: 450px) { 
    .stone {
		border-radius: 0;
	}
} 